Package com.macrofocus.common.interval

# Class ClosedInterval

java.lang.Object
com.macrofocus.common.interval.AbstractMutableInterval
com.macrofocus.common.interval.ClosedInterval

All Implemented Interfaces:
  `Interval`, `MutableInterval`

Direct Known Subclasses:
  `PropertyClosedInterval`, `SimpleClosedInterval`

@JsType public abstract class ClosedInterval extends AbstractMutableInterval
A closed interval is an interval that includes all of its limit points.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosedInterval()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(double value)`
  Tests if this interval contains the specified value
  `boolean`
  `containsInterval(Interval interval)`
  Tests if this interval contains the specified interval
  `boolean`
  `containsStartEnd(double start, double end)`
  Tests if this interval contains the specified interval
  `double`
  `getExtent()`
  `boolean`
  `isDegenerate()`
  Tests whether the starting and ending values are the same
  `boolean`
  `isInverted()`
  `boolean`
  `overlaps(double start, double end)`
  Tests if this interval overlaps the specified interval.
  `boolean`
  `overlapsInterval(Interval interval)`
  Tests if this interval overlaps the specified interval.

  ### Methods inherited from class com.macrofocus.common.interval.AbstractMutableInterval

  `addIntervalListener, addWeakIntervalListener, notifyIntervalChanged, removeIntervalListener, removeIntervalListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.interval.Interval

  `getEnd, getStart`

  ### Methods inherited from interface com.macrofocus.common.interval.MutableInterval

  `getEndProperty, getStartProperty, setEnd, setExtent, setStart, setValue`

- ## Constructor Details

  - ### ClosedInterval

    public ClosedInterval()

- ## Method Details

  - ### getExtent

    public double getExtent()

  - ### contains

    public boolean contains(double value)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified value
    Parameters:
      `value` - the value to test
    Returns:
      true if the interval contains the value, false otherwise

  - ### containsStartEnd

    public boolean containsStartEnd(double start, double end)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified interval
    Parameters:
      `start` - the value to test
      `end` - the value to test
    Returns:
      true if the interval contains the value, false otherwise

  - ### containsInterval

    public boolean containsInterval(Interval interval)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified interval
    Parameters:
      `interval` - the interval to test
    Returns:
      true if the interval contains the value, false otherwise

  - ### overlaps

    public boolean overlaps(double start, double end)
    Description copied from interface: `Interval`
    Tests if this interval overlaps the specified interval.
    Parameters:
      `start` - the interval to test
      `end` - the interval to test
    Returns:
      true if this interval overlaps the specified interval, false otherwise

  - ### overlapsInterval

    public boolean overlapsInterval(Interval interval)
    Description copied from interface: `Interval`
    Tests if this interval overlaps the specified interval.
    Parameters:
      `interval` - the interval to test
    Returns:
      true if this interval overlaps the specified interval, false otherwise

  - ### isInverted

    public boolean isInverted()

  - ### isDegenerate

    public boolean isDegenerate()
    Description copied from interface: `Interval`
    Tests whether the starting and ending values are the same
    Returns:
      true if start and end values are identical, false otherwise